Get routes
curl --request GET \
--url https://api.bridg.now/v1/bridge/routesconst options = {method: 'GET'};
fetch('https://api.bridg.now/v1/bridge/routes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.bridg.now/v1/bridge/routes"
response = requests.get(url)
print(response.text){
"fromChain": "base",
"toChain": "solana",
"privacy": false,
"generatedAt": 1789929549480,
"routes": [
{
"venue": "sideshift",
"enabled": true,
"tokenSymbols": [
"AAVE",
"EURC",
"TBTC",
"USDC",
"USDE",
"USDS",
"cbBTC"
],
"tokenSymbolCount": 7
},
{
"venue": "skip-go",
"enabled": true,
"tokenSymbols": [
"USDC"
],
"tokenSymbolCount": 1
},
{
"venue": "lifi",
"enabled": true,
"tokenSymbols": [
"AAVE",
"AIXBT",
"ALEPH",
"APE",
"ARIO",
"ARX",
"AUSD",
"AVAIL",
"Anon",
"BERRY",
"BIO",
"BITCOIN",
"BR",
"BRETT",
"BRZ",
"CAESAR",
"CGPT",
"CHEX",
"CHIP",
"CHZ",
"CLANKER",
"Cake",
"DAI",
"DEGEN",
"DEUS",
"DINO",
"ENA",
"ENG",
"ESX",
"ETH",
"EURC",
"FLUID",
"FRAX",
"G",
"GILTS",
"GOD",
"GOLD",
"HIGHER",
"HOME",
"HOT",
"HUNT",
"HYPER",
"IOTX",
"JitoSOL",
"L3",
"LABS",
"LBTC",
"LIBRA",
"LINK",
"LUNA"
],
"tokenSymbolCount": 119
},
{
"venue": "mayan",
"enabled": true,
"tokenSymbols": [
"ARB",
"BITCOIN",
"BOBO",
"CBBTC",
"EURC",
"OP",
"SOL",
"SPX",
"TBTC",
"USDC",
"USDT",
"WETH",
"WSTETH"
],
"tokenSymbolCount": 13
},
{
"venue": "near-intents",
"enabled": true,
"tokenSymbols": [
"USDC",
"sUSDC"
],
"tokenSymbolCount": 2
},
{
"venue": "across",
"enabled": true,
"tokenSymbols": [
"ETH",
"SPX",
"USDC",
"USDT",
"cbBTC"
],
"tokenSymbolCount": 5
},
{
"venue": "husher",
"enabled": true,
"tokenSymbols": [
"USDC"
],
"tokenSymbolCount": 1
},
{
"venue": "allbridge-core",
"enabled": true,
"tokenSymbols": [
"USDC"
],
"tokenSymbolCount": 1
},
{
"venue": "relay",
"enabled": true,
"tokenSymbols": [
"SOL",
"USDC",
"USDT"
],
"tokenSymbolCount": 3
},
{
"venue": "rhino",
"enabled": true,
"tokenSymbols": [
"EURC",
"USDC",
"USDS",
"USDT",
"USDe"
],
"tokenSymbolCount": 5
},
{
"venue": "meson",
"enabled": true,
"tokenSymbols": [
"USDC"
],
"tokenSymbolCount": 1
},
{
"venue": "owlto",
"enabled": true,
"tokenSymbols": [
"USDC"
],
"tokenSymbolCount": 1
},
{
"venue": "debridge",
"enabled": true,
"tokenSymbols": [
"$CAT",
"$KITA",
"AAA",
"AAPL",
"AAVE",
"ABE",
"AC",
"ACID",
"ACM",
"ACOLYT",
"ACS",
"AETHER",
"AFC",
"AGENT",
"AI",
"AIDOGE",
"AIINU",
"AIKEK",
"AIM",
"AION",
"AIPUMP",
"AIRENE",
"AITECH",
"AIX",
"AIXBT",
"ALA",
"ALBERT",
"ALCH",
"ALEPH",
"ALI",
"ALIEN",
"ALL",
"ALPHA",
"AM",
"AMAI",
"AMC",
"AMD",
"AMELIA",
"AMZN",
"ANDY",
"ANI",
"ANIME",
"ANON",
"ANTS",
"APED",
"APU",
"APX",
"ARC",
"ARG",
"ARIO"
],
"tokenSymbolCount": 776
},
{
"venue": "symbiosis",
"enabled": true,
"tokenSymbols": [
"AAVE",
"BONK",
"FARTCOIN",
"LINK",
"SOL",
"TRUMP",
"USDC"
],
"tokenSymbolCount": 7
},
{
"venue": "layerswap",
"enabled": true,
"tokenSymbols": [
"SOL",
"USDC",
"USDT",
"USDe",
"WETH"
],
"tokenSymbolCount": 5
},
{
"venue": "eco",
"enabled": true,
"tokenSymbols": [
"USDC"
],
"tokenSymbolCount": 1
},
{
"venue": "cctp",
"enabled": true,
"tokenSymbols": [
"USDC"
],
"tokenSymbolCount": 1
},
{
"venue": "simpleswap",
"enabled": true,
"tokenSymbols": [
"HOME",
"USDC",
"VIRTUAL"
],
"tokenSymbolCount": 3
}
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"retryAfterMs": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"retryAfterMs": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"retryAfterMs": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"retryAfterMs": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"retryAfterMs": 123
}
}Markets
Get routes
Which venues serve a corridor, and with which assets. tokenSymbols is capped; tokenSymbolCount is exact. privacy=true narrows to venues a private transfer may use. The response carries Cache-Control: max-age=30 and an ETag.
GET
/
bridge
/
routes
Get routes
curl --request GET \
--url https://api.bridg.now/v1/bridge/routesconst options = {method: 'GET'};
fetch('https://api.bridg.now/v1/bridge/routes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.bridg.now/v1/bridge/routes"
response = requests.get(url)
print(response.text){
"fromChain": "base",
"toChain": "solana",
"privacy": false,
"generatedAt": 1789929549480,
"routes": [
{
"venue": "sideshift",
"enabled": true,
"tokenSymbols": [
"AAVE",
"EURC",
"TBTC",
"USDC",
"USDE",
"USDS",
"cbBTC"
],
"tokenSymbolCount": 7
},
{
"venue": "skip-go",
"enabled": true,
"tokenSymbols": [
"USDC"
],
"tokenSymbolCount": 1
},
{
"venue": "lifi",
"enabled": true,
"tokenSymbols": [
"AAVE",
"AIXBT",
"ALEPH",
"APE",
"ARIO",
"ARX",
"AUSD",
"AVAIL",
"Anon",
"BERRY",
"BIO",
"BITCOIN",
"BR",
"BRETT",
"BRZ",
"CAESAR",
"CGPT",
"CHEX",
"CHIP",
"CHZ",
"CLANKER",
"Cake",
"DAI",
"DEGEN",
"DEUS",
"DINO",
"ENA",
"ENG",
"ESX",
"ETH",
"EURC",
"FLUID",
"FRAX",
"G",
"GILTS",
"GOD",
"GOLD",
"HIGHER",
"HOME",
"HOT",
"HUNT",
"HYPER",
"IOTX",
"JitoSOL",
"L3",
"LABS",
"LBTC",
"LIBRA",
"LINK",
"LUNA"
],
"tokenSymbolCount": 119
},
{
"venue": "mayan",
"enabled": true,
"tokenSymbols": [
"ARB",
"BITCOIN",
"BOBO",
"CBBTC",
"EURC",
"OP",
"SOL",
"SPX",
"TBTC",
"USDC",
"USDT",
"WETH",
"WSTETH"
],
"tokenSymbolCount": 13
},
{
"venue": "near-intents",
"enabled": true,
"tokenSymbols": [
"USDC",
"sUSDC"
],
"tokenSymbolCount": 2
},
{
"venue": "across",
"enabled": true,
"tokenSymbols": [
"ETH",
"SPX",
"USDC",
"USDT",
"cbBTC"
],
"tokenSymbolCount": 5
},
{
"venue": "husher",
"enabled": true,
"tokenSymbols": [
"USDC"
],
"tokenSymbolCount": 1
},
{
"venue": "allbridge-core",
"enabled": true,
"tokenSymbols": [
"USDC"
],
"tokenSymbolCount": 1
},
{
"venue": "relay",
"enabled": true,
"tokenSymbols": [
"SOL",
"USDC",
"USDT"
],
"tokenSymbolCount": 3
},
{
"venue": "rhino",
"enabled": true,
"tokenSymbols": [
"EURC",
"USDC",
"USDS",
"USDT",
"USDe"
],
"tokenSymbolCount": 5
},
{
"venue": "meson",
"enabled": true,
"tokenSymbols": [
"USDC"
],
"tokenSymbolCount": 1
},
{
"venue": "owlto",
"enabled": true,
"tokenSymbols": [
"USDC"
],
"tokenSymbolCount": 1
},
{
"venue": "debridge",
"enabled": true,
"tokenSymbols": [
"$CAT",
"$KITA",
"AAA",
"AAPL",
"AAVE",
"ABE",
"AC",
"ACID",
"ACM",
"ACOLYT",
"ACS",
"AETHER",
"AFC",
"AGENT",
"AI",
"AIDOGE",
"AIINU",
"AIKEK",
"AIM",
"AION",
"AIPUMP",
"AIRENE",
"AITECH",
"AIX",
"AIXBT",
"ALA",
"ALBERT",
"ALCH",
"ALEPH",
"ALI",
"ALIEN",
"ALL",
"ALPHA",
"AM",
"AMAI",
"AMC",
"AMD",
"AMELIA",
"AMZN",
"ANDY",
"ANI",
"ANIME",
"ANON",
"ANTS",
"APED",
"APU",
"APX",
"ARC",
"ARG",
"ARIO"
],
"tokenSymbolCount": 776
},
{
"venue": "symbiosis",
"enabled": true,
"tokenSymbols": [
"AAVE",
"BONK",
"FARTCOIN",
"LINK",
"SOL",
"TRUMP",
"USDC"
],
"tokenSymbolCount": 7
},
{
"venue": "layerswap",
"enabled": true,
"tokenSymbols": [
"SOL",
"USDC",
"USDT",
"USDe",
"WETH"
],
"tokenSymbolCount": 5
},
{
"venue": "eco",
"enabled": true,
"tokenSymbols": [
"USDC"
],
"tokenSymbolCount": 1
},
{
"venue": "cctp",
"enabled": true,
"tokenSymbols": [
"USDC"
],
"tokenSymbolCount": 1
},
{
"venue": "simpleswap",
"enabled": true,
"tokenSymbols": [
"HOME",
"USDC",
"VIRTUAL"
],
"tokenSymbolCount": 3
}
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"retryAfterMs": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"retryAfterMs": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"retryAfterMs": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"retryAfterMs": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"retryAfterMs": 123
}
}Query Parameters
Available options:
ethereum, arbitrum, optimism, base, polygon, bnb, avalanche, linea, scroll, zksync, mantle, blast, mode, gnosis, celo, unichain, sonic, ink, plume, worldchain, monad, sei, xlayer, plasma, berachain, hyperevm, stable, robinhood, arc, fantom, zircuit, lisk, soneium, abstract, taiko, metis, moonbeam, aurora, cronos, opbnb, ronin, rootstock, citrea, botanix, katana, solana, fogo, eclipse, bitcoin, litecoin, dogecoin, bitcoincash, zcash, dash, sui, aptos, movement, starknet, tron, ton, stellar, cardano, xrpl, near, algorand, polkadot, assethub, injective, noble, osmosis, cosmoshub, hypercore, lighter Available options:
ethereum, arbitrum, optimism, base, polygon, bnb, avalanche, linea, scroll, zksync, mantle, blast, mode, gnosis, celo, unichain, sonic, ink, plume, worldchain, monad, sei, xlayer, plasma, berachain, hyperevm, stable, robinhood, arc, fantom, zircuit, lisk, soneium, abstract, taiko, metis, moonbeam, aurora, cronos, opbnb, ronin, rootstock, citrea, botanix, katana, solana, fogo, eclipse, bitcoin, litecoin, dogecoin, bitcoincash, zcash, dash, sui, aptos, movement, starknet, tron, ton, stellar, cardano, xrpl, near, algorand, polkadot, assethub, injective, noble, osmosis, cosmoshub, hypercore, lighter Response
One row per candidate venue
Available options:
ethereum, arbitrum, optimism, base, polygon, bnb, avalanche, linea, scroll, zksync, mantle, blast, mode, gnosis, celo, unichain, sonic, ink, plume, worldchain, monad, sei, xlayer, plasma, berachain, hyperevm, stable, robinhood, arc, fantom, zircuit, lisk, soneium, abstract, taiko, metis, moonbeam, aurora, cronos, opbnb, ronin, rootstock, citrea, botanix, katana, solana, fogo, eclipse, bitcoin, litecoin, dogecoin, bitcoincash, zcash, dash, sui, aptos, movement, starknet, tron, ton, stellar, cardano, xrpl, near, algorand, polkadot, assethub, injective, noble, osmosis, cosmoshub, hypercore, lighter Available options:
ethereum, arbitrum, optimism, base, polygon, bnb, avalanche, linea, scroll, zksync, mantle, blast, mode, gnosis, celo, unichain, sonic, ink, plume, worldchain, monad, sei, xlayer, plasma, berachain, hyperevm, stable, robinhood, arc, fantom, zircuit, lisk, soneium, abstract, taiko, metis, moonbeam, aurora, cronos, opbnb, ronin, rootstock, citrea, botanix, katana, solana, fogo, eclipse, bitcoin, litecoin, dogecoin, bitcoincash, zcash, dash, sui, aptos, movement, starknet, tron, ton, stellar, cardano, xrpl, near, algorand, polkadot, assethub, injective, noble, osmosis, cosmoshub, hypercore, lighter Show child attributes
Show child attributes